# Generated from experimental-influxdb-rails-1.0.0.beta5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name experimental-influxdb-rails
%global prerelease .beta5

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 2%{?dist}.4
Summary: InfluxDB bindings for Ruby on Rails
License: MIT
URL: https://influxdata.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}%{?prerelease}.gem
Patch0: rubygem-experimental-influxdb-rails-rails6.patch
BuildRequires: ruby(release)
BuildRequires: rubygems-devel > 1.3.1
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(activerecord)
# BuildRequires: rubygem(fakeweb)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails) >= 3.0.0
# BuildRequires: (rubygem(rubocop) >= 0.61.1 with rubygem(rubocop) < 0.62)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(tzinfo)
BuildArch: noarch

%description
This gem automatically instruments your Ruby on Rails 4.2/5.x applications
using InfluxDB for storage.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}%{?prerelease}
%patch0 -p1

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}%{?prerelease}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install -n %{gem_name}-%{version}%{?prerelease}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/config.ru
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/experimental-influxdb-rails.gemspec
%{gem_instdir}/spec

%changelog
* Sun Jun 27 2021 Oleg Girko <ol@infoserver.lv> - 1.0.0-2
- Add patch for compatibility with Rails 6
* Mon May  3 2021 Oleg Girko <ol@infoserver.lv> - 1.0.0-1
- Initial package
